Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 157878 - lpoptions ignored
Summary: lpoptions ignored
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: libgnomecups
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-16 17:55 UTC by Tim Waugh
Modified: 2008-03-05 04:12 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-03-05 04:12:13 UTC


Attachments (Terms of Use)
respect user default CUPS options (deleted)
2007-07-03 12:17 UTC, Stijn Hoop
no flags Details | Diff
patch for CUPS GtkPrint backend to honor ~/.cups/lpoptions (deleted)
2007-07-17 08:23 UTC, Stijn Hoop
no flags Details | Diff

Description Tim Waugh 2005-05-16 17:55:22 UTC
Description of problem:
When printing a job to a remote CUPS queue using lp or lpr, the options seen in
'lpoptions -p dest' are included in the job.  When printing from an application
using libgnomecups (such as gedit or evince), these options are not sent with
the job.

Version-Release number of selected component (if applicable):
libgnomecups-0.2.0-2

How reproducible:
100%

Steps to Reproduce:
1. Make a queue called 'dest' on server1.
2. Edit /etc/foomatic/filter.conf on server1 and add 'debug: 1'
3. On server1, make sure server2 has access to the queue.
4. On server2, 'lpoptions -ddest -ofitplot'
5. On server2, 'lp -ddest /usr/share/evolution/2.2/help/quickref/C/quickref.pdf'
6. On server1, cp /tmp/foomatic-rip.log /tmp/foomatic-rip.lp
7. On server2, 'evince /usr/share/evolution/2.2/help/quickref/C/quickref.pdf'
and print it to dest.
8. On server1, cp /tmp/foomatic-rip.log /tmp/foomatic-rip.evince
9. Compare /tmp/foomatic-rip.lp and /tmp/foomatic-rip.evince, and the print-outs.

Actual results:
foomatic-rip.lp shows the 'fitplot' option is passed, foomatic-rip.evince shows
it is not.

Print-out from 5 is scaled to fit, but from 7 is not.

Expected results:
Both print-outs scaled to fit.

Comment 1 Matthew Miller 2006-07-10 21:08:20 UTC
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!


Comment 2 Tim Waugh 2006-07-12 11:08:25 UTC
I guess network default options will fix this in FC6 anyway.

Comment 3 Stijn Hoop 2007-07-03 12:16:03 UTC
Tim, unfortunately this is not correct.

We have a network printer with duplex unit, which has a default of printing on
both sides. However it is impossible to make a *user* default option for one of
our users, who by default wants everything printed single-sided.

Fortunately Pascal de Vuijst fixed this for Ubuntu, see

https://bugs.launchpad.net/ubuntu/+source/libgnomecups/+bug/34112

especially comment 38. I'll upload his patch here as well. I've tested a rebuilt
libgnomecups22 on Fedora Core 6, and this problem is fixed for gedit.
Unfortunately Evince still doesn't comply with these user defaults, and I'm not
sure why. I'm investigating this next.

Note also that libgnomecups is looking for user options in the wrong place --
but that's a separate bug that I'll file also.

Comment 4 Stijn Hoop 2007-07-03 12:17:48 UTC
Created attachment 158429 [details]
respect user default CUPS options

Patch by Pascal de Vuyst that lets libgnomeprint respect the user default CUPS
options, as set by lpoptions(1).

Comment 5 John (J5) Palmieri 2007-07-03 17:09:11 UTC
this needs to be refactored for gtkprint also

Comment 6 Stijn Hoop 2007-07-17 08:23:01 UTC
Created attachment 159409 [details]
patch for CUPS GtkPrint backend to honor ~/.cups/lpoptions

Turned out that Evince used GtkPrint instead of libgnomecups, indeed (I didn't
know that).

Attached is a patch to the FC-6 GTK+ (2.10.8) that enables both a user-set
default printer as well as user-set default options for printers.

As this is my first C code in a very long time, there's bound to be errors, so
please review carefully :)

Comment 7 Stijn Hoop 2007-08-22 11:53:30 UTC
Reported upstream as bug 469210 (
http://bugzilla.gnome.org/show_bug.cgi?id=469210 ).

Comment 8 Matthias Clasen 2008-03-05 04:12:13 UTC
These patches are in rawhide now.


Note You need to log in before you can comment on or make changes to this bug.